org.pentaho.reporting.libraries.resourceloader.cache

## Class NullCacheProvider

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.cache.NullCacheProvider

All Implemented Interfaces:
  ResourceBundleDataCacheProvider, ResourceDataCacheProvider, ResourceFactoryCacheProvider

    public class NullCacheProvider
    extends java.lang.Object
    implements ResourceDataCacheProvider, ResourceFactoryCacheProvider, ResourceBundleDataCacheProvider

Creation-Date: 06.04.2006, 10:39:10

Author:
  Thomas Morgner

### Constructor Summary

Constructors
Constructor and Description
`NullCacheProvider()`

### Method Summary

Methods
`ResourceBundleDataCache` `createBundleDataCache()`
`ResourceDataCache` `createDataCache()`
`ResourceFactoryCache` `createFactoryCache()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullCacheProvider

    public NullCacheProvider()

### Method Detail

#### createDataCache

    public ResourceDataCache createDataCache()

Specified by:
  `createDataCache` in interface `ResourceDataCacheProvider`

#### createFactoryCache

    public ResourceFactoryCache createFactoryCache()

Specified by:
  `createFactoryCache` in interface `ResourceFactoryCacheProvider`

#### createBundleDataCache

    public ResourceBundleDataCache createBundleDataCache()

Specified by:
  `createBundleDataCache` in interface `ResourceBundleDataCacheProvider`